<template>
  <div class="offers-landing">
    <Ariane
      type="breadcrumb trunk"
      :breadcrumbs="breadcrumbs"
      :params="params"
    />
    <Loader :display="isLoading" />
    <client-only>
      <div
        v-if="!isLoading"
        id="top"
        class="site-container site-container--top"
      >
        <div class="offers-landing_part">
          <div class="offers-landing_part_header">
            <HeaderDesktop
              :subscription="defaultSubscription"
              class="header-desktop"
            />
            <HeaderMobile
              :subscription="defaultSubscription"
              class="header-mobile"
            />
          </div>
        </div>
        <div class="offers-landing_part">
          <div class="offers-landing_part_sections">
            <ImageTextSection
              v-for="(section, index) in sections"
              :key="index"
              :data="section"
            />
          </div>
        </div>
        <div class="offers-landing_part">
          <div class="offers-landing_part_points">
            <div class="aside aside-left">
              <div class="aside-img">
                <img
                  :src="
                    require('~/assets/images/subscription/img-devices-izneo-desktop.png')
                  "
                  alt="all-devices"
                  title="all-devices"
                />
              </div>
            </div>
            <div class="aside">
              <div class="aside-text">
                <h3 class="heading--md text--left">
                  {{ $t('subscriptionOffers.promo.title-01') }}
                </h3>
                <br />
                <p
                  class="text--md text-primary text--left"
                  v-html="$t('subscriptionOffers.promo.description-01')"
                />
                <br />
                <br />
                <br />
                <br />
                <h3 class="heading--md text--left">
                  {{ $t('subscriptionOffers.promo.title-02') }}
                </h3>
                <br />
                <p
                  class="text--md text-primary text--left"
                  v-html="$t('subscriptionOffers.promo.description-02')"
                />
              </div>
            </div>
          </div>
        </div>
        <div
          id="subscriptionOffersTab"
          class="offers-landing_part subscription-offers"
        >
          <h2 class="heading--lg text--center table-title">
            {{ $t('subscriptionOffers.table.title') }}
          </h2>
          <SubscriptionOffers
            :subscriptions="subscriptions"
            :active-id="defaultSubscriptionId.toString()"
          />
        </div>
        <div class="offers-landing_part">
          <SubscriptionFaq :list="faqs" />
        </div>

        <div class="banner-subscription">
          <div
            class="banner-subscription_left banner-split__img banner-subscription_bottom"
            :style="`background-image: url(${require('~/assets/images/subscription-mockup-devices-1.png')})`"
          ></div>
          <div class="banner-subscription_wrapper trunk">
            <div class="banner-subscription_right">
              <h1
                class="heading--lg heading--white heading--uppercase"
                v-html="$t('subscriptionOffers.app.title')"
              ></h1>
              <p
                class="text--md text--white"
                v-html="$t('subscriptionOffers.app.text')"
              ></p>
              <AppstoresLinks />
            </div>
          </div>
        </div>
      </div>
    </client-only>
  </div>
</template>

<script>
import AppstoresLinks from '@/components/ui/AppstoresLinks'
import SubscriptionOffers from '@/components/Subscription/SubscriptionOffers'
import SubscriptionFaq from '@/components/Subscription/SubscriptionFaq'
import Loader from '@/components/ui/Loader'
import HeaderDesktop from '@/components/Subscription/HeaderDesktop'
import HeaderMobile from '@/components/Subscription/HeaderMobile'

export default {
  name: 'Subscription',
  components: {
    Loader,
    SubscriptionOffers,
    SubscriptionFaq,
    AppstoresLinks,
    HeaderDesktop,
    HeaderMobile
  },
  data() {
    return {
      breadcrumbs: [
        this.$t('breadcrumb.home'),
        this.$t('breadcrumb.subscription')
      ],
      params: [`/${this.$i18n.locale}/`, ''],
      isLoading: true,
      isSubscription: false,
      defaultSubscriptionId: '0',
      subscriptions: [],
      defaultSubscription: {},
      faqs: [
        {
          title: this.$t('subscriptionOffers.faq.question-01'),
          desc: this.$t('subscriptionOffers.faq.answer-01')
        },
        {
          title: this.$t('subscriptionOffers.faq.question-02'),
          desc: this.$t('subscriptionOffers.faq.answer-02')
        },
        {
          title: this.$t('subscriptionOffers.faq.question-03'),
          desc: this.$t('subscriptionOffers.faq.answer-03')
        }
      ],
      sections: [
        {
          title: this.$t('subscriptionOffers.sections.title-1'),
          text: this.$t('subscriptionOffers.sections.text-1'),
          imgDesktop: `/subscription/img-subscription-argument-1-desktop-${this.$i18n.locale}.png`,
          imgMobile: `/subscription/img-subscription-argument-1-mobile-${this.$i18n.locale}.png`,
          position: 0
        },
        {
          title: this.$t('subscriptionOffers.sections.title-2'),
          text: this.$t('subscriptionOffers.sections.text-2'),
          imgDesktop: `/subscription/img-subscription-argument-2-desktop-${this.$i18n.locale}.png`,
          imgMobile: `/subscription/img-subscription-argument-2-mobile-${this.$i18n.locale}.png`,
          position: 1
        },
        {
          title: this.$t('subscriptionOffers.sections.title-3'),
          text: this.$t('subscriptionOffers.sections.text-3'),
          imgDesktop: `/subscription/img-subscription-argument-3-desktop-${this.$i18n.locale}.png`,
          imgMobile: `/subscription/img-subscription-argument-3-mobile-${this.$i18n.locale}.png`,
          position: 0
        },
        {
          title: this.$t('subscriptionOffers.sections.title-4'),
          text: this.$t('subscriptionOffers.sections.text-4'),
          imgDesktop: `/subscription/img-subscription-argument-4-desktop-${this.$i18n.locale}.png`,
          imgMobile: `/subscription/img-subscription-argument-4-mobile-${this.$i18n.locale}.png`,
          position: 1
        }
      ]
    }
  },
  async mounted() {
    await this.loadSubscriptions()
  },
  methods: {
    async loadSubscriptions() {
      const data = await this.$api.getSubscriptionPacks()

      this.defaultSubscriptionId = data.defaultSubscriptionId
      this.subscriptions = data.subscriptionList
      this.subscriptions.forEach((element) => {
        if (element.id.toString() === this.defaultSubscriptionId.toString()) {
          console.log(element)
          this.defaultSubscription = element
        }
      })
      this.isLoading = false
    }
  }
}
</script>

<style lang="scss">
.offers-landing {
  .offers-landing_part {
    &.subscription-offers {
      margin-top: 30px;
    }
  }
  .offers-landing_part_header {
    height: 600px;
    @media (max-width: 768px) {
      height: 530px;
    }
    .header-mobile {
      display: none;
    }

    .header-desktop {
      display: block;
    }
    @media (max-width: 768px) {
      .header-mobile {
        display: block;
      }

      .header-desktop {
        display: none;
      }
    }
  }

  .offers-landing_part_sections {
    @media (min-width: 768px) {
      margin: 50px;
    }
  }

  .offers-landing_part_intro {
    margin-top: auto;
    display: flex;
    background: none;

    .table-title {
      margin-bottom: 20px;
    }
  }

  .banner-split__img {
    background-repeat: no-repeat;
    background-color: #ebebeb;
    background-size: cover;
    background-position: center bottom;
    background-repeat: no-repeat;
    width: 50%;
    height: 100%;
    min-height: 440px;
    @media (max-width: 768px) {
      width: 100%;
      min-height: 220px;
      background-position: initial;
    }
  }

  .offers-landing_part_points {
    display: inline-flex;
    @media (max-width: 768px) {
      display: block;
      padding: 40px 0;
    }
  }
  .aside {
    padding: 100px;
    &-left {
      width: 80%;
    }
    &-img {
      text-align: center;
    }
    &-text {
      width: 80%;
      @media (max-width: 768px) {
        width: 100%;
      }
    }
    @media (max-width: 768px) {
      padding: 20px;
      &-left {
        width: 100%;
      }
    }
  }
}
</style>
